Bug 1452066 - Fix backing image referencing in drive-backup sync=none
Summary: Fix backing image referencing in drive-backup sync=none
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Fam Zheng
QA Contact: Qianqian Zhu
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-18 09:25 UTC by Fam Zheng
Modified: 2017-08-02 04:41 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-02 04:41:00 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Fam Zheng 2017-05-18 09:25:11 UTC
We should have

fc0932f block: Reuse bs as backing hd for drive-backup sync=none

which fixes a latent bug in (QMP) drive-backup sync=none, that stale data might be read from the target image.

Comment 2 Miroslav Rezanina 2017-05-23 08:16:11 UTC
Fix included in qemu-kvm-rhev-2.9.0-6.el7

Comment 4 Qianqian Zhu 2017-06-02 06:18:28 UTC
Hi Fam,
I am not sure how to verify this bz, could you help indicate it? Thanks.

Comment 5 Fam Zheng 2017-06-02 06:45:44 UTC
No reproducer for this, please run drive-backup/blockdev-backup related regression testing.

Comment 7 Qianqian Zhu 2017-06-06 05:30:23 UTC
Moving to VERIFIED per comment 5 and comment 6.

Comment 9 errata-xmlrpc 2017-08-02 04:41:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.